Name: image-update-packages
Description: Install required additional packages.
Documentation: |
  Should be run after fixing repo packages, but before installing cloud-init.

  Installs additional required packages for successful deployment in various
  `image-deploy` scenarios.

ReadOnly: true
Meta:
  color: purple
  feature-flags: sane-exit-codes
  icon: pin
  title: Image Builder suite
  origin: rackn/image-builder
Templates:
  - Name: image-update-packages.sh.tmpl
    Contents: |
      #!/usr/bin/env bash
      # Inject required packages to support various image-deploy scenarios

      {{ template "setup.tmpl" .}}

      {{ range $pkg := ( .Param "image-builder/additional-packages" ) -}}
      PKGS+="{{ $pkg }} "
      {{ end -}}

      echo "Installing additional packages as requested by 'image-builder/additional-packages'."
      install $PKGS
